%define kdeprefix /opt/kde
%define version 1.1
%define kderelease 1
%define sourcedir stable/1.1/distribution/tar/generic/source
%define tag -1.1
%define topdirtag -1.1
Serial: 3

%define target RedHat 5.1 or 5.2 systems
%define cc egcs
%define rh rh5x
%define redhat redhat-release >= 5.1
%define qt  qt >= 1.42 qt-egcs-10x

%define kdename kdebase
%define topdir %{kdename}%{topdirtag}
%define pamservice kde
Name: %{kdename}
Summary: K Desktop Environment - core files
Version: %{version}
Release: %{kderelease}%{rh}
URL: http://www.kde.org
Source: ftp://ftp.kde.org:/pub/kde/{sourcedir}/%{kdename}%{tag}.tar.gz
Source1: redhat-logo.xpm
Source2: kde.pamd
Patch: kdebase-%{version}-redhat.patch
Patch1: kdebase-%{version}-bugfix.patch
Group: X11/KDE/Base
Copyright: GPL/Artistic
BuildRoot: /var/tmp/%{kdename}-buildroot
Provides: kdebase-%{rh}
Requires: pam %{qt} %{redhat} kdesupport-%{rh} kdelibs-%{rh} 
Distribution: KDE
Packager: Philip Long <plong@mitre.org>
Vendor: The KDE Team
Prefix: %{kdeprefix}

%description
Core applications for the K Desktop Environment.
Included are:  kdm (replacement for xdm), kwm (window manager), kfm 
(filemanager, web browser, ftp client, ...), konsole (xterm replacement), 
kpanel (application starter and desktop pager), kaudio (audio server), 
kdehelp (viewer for kde help files, info and man pages), plus other KDE 
components (kcheckpass, kikbd, kvt, kscreensaver, kcontrol, kfind, 
kfontmanager, kmenuedit, kappfinder).

This package is intended for %{target}.
It supports RedHat's PAM password authentication (PAM service: %{pamservice}).
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."
 
%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{topdir}

#patch to set redhat defaults in kdm
%patch -p1

#post-release bugfix patch 
%patch1 -p1

%build
export KDEDIR=%{kdeprefix}
CC=%{cc} CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure  --prefix=%{kdeprefix} --with-pam=%{pamservice}  --with-install-root=$RPM_BUILD_ROOT  --without-gl

make

%install
make prefix=$RPM_BUILD_ROOT%{kdeprefix} RUN_KAPPFINDER=no install-strip

#install sample PAM configuration file
install -d $RPM_BUILD_ROOT%{kdeprefix}/etc/pam.d
install -m 644 $RPM_SOURCE_DIR/kde.pamd \
	$RPM_BUILD_ROOT%{kdeprefix}/etc/pam.d/%{pamservice}

# remove unsupported control center information services
cd $RPM_BUILD_ROOT%{kdeprefix}/share/applnk/Settings/Information
rm -f partitions.kdelnk

# install redhat-logo icon for kdm
install -m 644 $RPM_SOURCE_DIR/redhat-logo.xpm \
	$RPM_BUILD_ROOT%{kdeprefix}/share/apps/kdm/pics/redhat-logo.xpm

# fix kappfinder script for relocatability
cd $RPM_BUILD_ROOT%{kdeprefix}/bin
cp kappfinder kappfinder.temp
sed -e 's.%{kdeprefix}.\$KDEDIR.g' kappfinder.temp > kappfinder
rm -f kappfinder.temp

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' \
	-e '/\/applnk\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}


%post
# configure kdmrc to make the redhat logo the kdm logo
echo  "LogoPixmap=$RPM_INSTALL_PREFIX/share/apps/kdm/pics/redhat-logo.xpm" >> $RPM_INSTALL_PREFIX/share/config/kdmrc
# configure the pam service if necessary
if ! [ -f /etc/pam.d/%{pamservice} ] ; then
        install -m 644 $RPM_INSTALL_PREFIX/etc/pam.d/%{pamservice} /etc/pam.d
fi

%preun
if [ "$1" = "0" ] ; then
  if [ -f  /etc/pam.d/%{pamservice} ] ; then	
    if diff $RPM_INSTALL_PREFIX/etc/pam.d/%{pamservice} /etc/pam.d/%{pamservice} > /dev/null ; then
      rm -f /etc/pam.d/%{pamservice}
    else
      mv -f /etc/pam.d/%{pamservice} /etc/pam.d/%{pamservice}.rpmsave
    fi
  fi
fi

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename} 



%changelog
* Mon Feb 15 1999 <plong@mitre.org>
- Prefixed 'CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"' to ./configure
* Wed Feb 10 1999 <duncan@kde.org> 
- post-release bugfix patch: to krootwm/krootwm.C from <faure@kde.org> 

* Mon Feb 8 1999 <duncan@kde.org>
- new rpm packaging for KDE-1.1
- relocatable rpms


